org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache

## Class EHCacheProvider

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.modules.cache.ehcache.EHCacheProvider

All Implemented Interfaces:
  ResourceBundleDataCacheProvider, ResourceDataCacheProvider, ResourceFactoryCacheProvider

    public class EHCacheProvider
    extends java.lang.Object
    implements ResourceDataCacheProvider, ResourceFactoryCacheProvider, ResourceBundleDataCacheProvider

Creation-Date: 13.04.2006, 16:32:20

Author:
  Thomas Morgner

### Constructor Summary

Constructors
Constructor and Description
`EHCacheProvider()`

### Method Summary

Methods
`ResourceBundleDataCache` `createBundleDataCache()`
`ResourceDataCache` `createDataCache()`
`ResourceFactoryCache` `createFactoryCache()`
`static CacheManager` `getCacheManager()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EHCacheProvider

    public EHCacheProvider()

### Method Detail

#### getCacheManager

    public static CacheManager getCacheManager()
                                        throws CacheException

Throws:
  `CacheException`

#### createDataCache

    public ResourceDataCache createDataCache()

Specified by:
  `createDataCache` in interface `ResourceDataCacheProvider`

#### createBundleDataCache

    public ResourceBundleDataCache createBundleDataCache()

Specified by:
  `createBundleDataCache` in interface `ResourceBundleDataCacheProvider`

#### createFactoryCache

    public ResourceFactoryCache createFactoryCache()

Specified by:
  `createFactoryCache` in interface `ResourceFactoryCacheProvider`